// Copyright (c) 1996-1997 Athenia Associates.
// http://www.webreference.com/js/
// License is granted if and only if this entire
// copyright notice is included. By Tomer Shiran.

function setCookie (name, value, expires, path, domain, secure) {
    var curCookie = name + "=" + escape(value) + (expires ? "; expires=" + expires : "") +
        (path ? "; path=" + path : "") + (domain ? "; domain=" + domain : "") + (secure ? "secure" : "");
    document.cookie = curCookie;
}

function getCookie (name) {
    var prefix = name + '=';
    var c = document.cookie;
    var nullstring = '';
    var cookieStartIndex = c.indexOf(prefix);
    if (cookieStartIndex == -1)
        return nullstring;
    var cookieEndIndex = c.indexOf(";", cookieStartIndex + prefix.length);
    if (cookieEndIndex == -1)
        cookieEndIndex = c.length;
    return unescape(c.substring(cookieStartIndex + prefix.length, cookieEndIndex));
}

function deleteCookie (name, path, domain) {
    if (getCookie(name))
        document.cookie = name + "=" + ((path) ? "; path=" + path : "") +
            ((domain) ? "; domain=" + domain : "") + "; expires=Thu, 01-Jan-70 00:00:01 GMT";
}

function fixDate (date) {
    var base = new Date(0);
    var skew = base.getTime();
    if (skew > 0)
        date.setTime(date.getTime() - skew);
}

function rememberMe (f) {
    var now = new Date();
    fixDate(now);
    now.setTime(now.getTime() + 365 * 24 * 60 * 60 * 1000);
    now = now.toGMTString();
    if (f.author != undefined)
       setCookie('mtcmtauth', f.author.value, now, '/', '', '');
    if (f.email != undefined)
       setCookie('mtcmtmail', f.email.value, now, '/', '', '');
    if (f.url != undefined)
       setCookie('mtcmthome', f.url.value, now, '/', '', '');
}

function forgetMe (f) {
    deleteCookie('mtcmtmail', '/', '');
    deleteCookie('mtcmthome', '/', '');
    deleteCookie('mtcmtauth', '/', '');
    f.email.value = '';
    f.author.value = '';
    f.url.value = '';
}

function hideDocumentElement(id) {
    var el = document.getElementById(id);
    if (el) el.style.display = 'none';
}

function showDocumentElement(id) {
    var el = document.getElementById(id);
    if (el) el.style.display = 'block';
}

var commenter_name;

function individualArchivesOnLoad(commenter_name) {


    if (commenter_name) {
        hideDocumentElement('name-email');
        showDocumentElement('comments-open-text');
        showDocumentElement('comments-open-footer');
    } else {
        hideDocumentElement('comments-open-data');
        hideDocumentElement('comments-open-text');
        hideDocumentElement('comments-open-footer');
    }




    var mtcmtauth;
    var mtcmthome;
    if (document.comments_form) {
        if (!commenter_name && (document.comments_form.email != undefined) &&
            (mtcmtmail = getCookie("mtcmtmail")))
            document.comments_form.email.value = mtcmtmail;
        if (!commenter_name && (document.comments_form.author != undefined) &&
            (mtcmtauth = getCookie("mtcmtauth")))
            document.comments_form.author.value = mtcmtauth;
        if (document.comments_form.url != undefined && 
            (mtcmthome = getCookie("mtcmthome")))
            document.comments_form.url.value = mtcmthome;
        if (document.comments_form["bakecookie"]) {
            if (mtcmtauth || mtcmthome) {
                document.comments_form.bakecookie.checked = true;
            } else {
                document.comments_form.bakecookie.checked = false;
            }
        }
    }
}

function writeTypeKeyGreeting(commenter_name, entry_id) {
    if (commenter_name) {
        document.write('<p>Thanks for signing in, ' + commenter_name +
          '. Now you can comment. '+
          '(<a href="http://austinist.com/mt/mt-com.fcgi?__mode=handle_sign_in&amp;static=1&amp;logout=1&entry_id=' + entry_id + '">sign out</a>)</p>');
    } else {
        document.write('<p>You are not signed in. You need to be registered to comment on this site. '+
          '<a href="https://www.typekey.com/t/typekey/login?&amp;need_email=1&amp;lang=en_US&amp;t=pbewcurABNwtLb1I8B47&amp;v=1.1&amp;_return=http://austinist.com/mt/mt-com.fcgi%3f__mode=handle_sign_in%26static=1%26entry_id=' + entry_id + '">Sign in</a></p>');


    }

}

if ('austinist.com' != 'austinist.com') {
    document.write('<script src="http://austinist.com/mt/mt-com.fcgi?__mode=cmtr_name_js"></script>');
} else {
    commenter_name = getCookie('commenter_name');
}



req = null;
function getCommenterName() {
	cValue = "";
	dc = document.cookie;
	cookies = dc.split(";");
	for (x=0;x<cookies.length;x++) {
		if (cookies[x].match(/commenter_name=/)) {
		cValue = cookies[x].replace(/commenter_name=/, "");
		}
	}
	if (cValue.length>1) {
		return unescape(cValue);
	} else {
		return "";
	}
}

function trimString (str) {
  str = this != window? this : str;
  return str.replace(/^\s+/g, '').replace(/\s+$/g, '');
}

function urlParameter(name)
{
  var regexS = "[\\?&]"+name+"=([^&#]*)";
  var regex = new RegExp( regexS );
  var tmpURL = window.location.href;
  var results = regex.exec( tmpURL );
  if( results == null )
    return "";
  else
    return results[1];
}

function getElementsByClass( searchClass, domNode, tagNames) {
	if (domNode == null) domNode = document;
	if (tagNames == null) tagNames = '*';
	var el = new Array();
	var tags = domNode.getElementsByTagName(tagNames);
	var tcl = " "+searchClass+" ";
	for(i=0,j=0; i<tags.length; i++) {
		var test = " " + tags[i].className + " ";
		if (test.indexOf(tcl) != -1)
			el[j++] = tags[i];
	}
	return el;
}

function showtab(href) 
{
	var tabs = getElementsByClass('guest');
	for(i=0; i<tabs.length; i++) {
		if (href.innerHTML.match(/show/)) {
			tabs[i].style.display = 'block';
		} else {
			tabs[i].style.display = 'none';
		}
	}
	
	if (href.innerHTML.match(/show/)) {
        href.innerHTML = "hide guest comments";
		now = new Date();
		now.setTime(now.getTime() + 60*60*7*24*1000);
		setCookie("showAnonymous", "true", now.toUTCString(), '/');
	} else {
        href.innerHTML = "show guest comments";
		deleteCookie("showAnonymous", '/');
	}
}

function hidetab(href) 
{
	var tabs = getElementsByClass('guest');
	for(i=0; i<tabs.length; i++) {
		if (href.innerHTML.match(/hide/)) {
			tabs[i].style.display = 'none';
		} else {
			tabs[i].style.display = 'block';
		}
	}
	
	if (href.innerHTML.match(/hide/)) {
        href.innerHTML = "show guest comments";
		now = new Date();
		now.setTime(now.getTime() + 60*60*7*24*1000);
		setCookie("hideAnonymous", "true", now.toUTCString(), '/');
	} else {
        href.innerHTML = "hide guest comments";
		deleteCookie("hideAnonymous", '/');
	}
}

function showsummary(href) 
{
	now = new Date();
	now.setTime(now.getTime() + 60*60*7*24*1000);
	setCookie("HomepageView", "summary", now.toUTCString(), '/');
	window.parent.location = "http://" + document.location.host + "/index.php";

}
function showfull(href) 
{
	now = new Date();
	now.setTime(now.getTime() + 60*60*7*24*1000);
	setCookie("HomepageView", "full", now.toUTCString(), '/');
	window.parent.location = "http://" + document.location.host + "/index.php";

}

function showfavorite(href) 
{
	now = new Date();
	now.setTime(now.getTime() + 60*60*7*24*1000);
	setCookie("HomepageView", "favorite", now.toUTCString(), '/');
	window.parent.location = "http://" + document.location.host + "/index_favorites.php";
}

function showsummary_fav(href) 
{
	now = new Date();
	now.setTime(now.getTime() + 60*60*7*24*1000);
	setCookie("HomepageView", "summary", now.toUTCString(), '/');
	window.parent.location = "http://" + document.location.host + "/index.php";
}

function showfull_fav(href) 
{
	now = new Date();
	now.setTime(now.getTime() + 60*60*7*24*1000);
	setCookie("HomepageView", "full", now.toUTCString(), '/');
	window.parent.location = "http://" + document.location.host + "/index.php";
}

function showfavorite_fav(href) 
{
	now = new Date();
	now.setTime(now.getTime() + 60*60*7*24*1000);
	setCookie("HomepageView", "favorite", now.toUTCString(), '/');
	window.parent.location = "http://" + document.location.host + "/index_favorites.php";
}

function viewReplace() {
  document.getElementById('viewToggle').innerHTML = '<form name="jump5" action="jump5"><select class="textbx" style="width:130px;" name="myjumpbox5" onchange="document.location=jump5.myjumpbox5.options[selectedIndex].value"><option value="selected" class="textbx">Change View</option><option class="textbx" value="javascript:showfull();">View Full</option><option class="textbx" value="javascript:showsummary();">View Summary</option><option class="textbx" value="javascript:showfavorite();">View Favorite</option></select><span class="viewTrigger">[<a href="javascript:viewReset();">cancel</a>]</span></form>';
}

function viewReplaceFav() {
  document.getElementById('viewToggle').innerHTML = '<form name="jump5" action="jump5"><select class="textbx" style="width:130px;" name="myjumpbox5" onchange="document.location=jump5.myjumpbox5.options[selectedIndex].value"><option value="selected" class="textbx">Change View</option><option class="textbx" value="javascript:showfull_fav();">View Full</option><option class="textbx" value="javascript:showsummary_fav();">View Summary</option><option class="textbx" value="javascript:showfavorite_fav();">View Favorite</option></select><span class="viewTrigger">[<a href="javascript:viewReset();">cancel</a>]</span></form>';
}

function viewReset(){
	$view = getCookie("HomepageView");
	if ($view.length>0) {document.getElementById('viewToggle').innerHTML = $view + ' View <span class="viewTrigger">[<a href="javascript:viewReplace();">change</a>]</span>';} else { document.getElementById('viewToggle').innerHTML = 'Full View <span class="viewTrigger">[<a href="javascript:viewReplace();">change</a>]</span>'}
}

function addTagsToggle() {
	if (document.getElementById('addTagsOpened').style.display =='none') {
		document.getElementById('addTagsOpened').style.display = 'inline';
		document.getElementById('addTagsClosed').style.display = 'none';
	}else{
		document.getElementById('addTagsOpened').style.display = 'none';
		document.getElementById('addTagsClosed').style.display = 'inline';
	}
}

function tagsHelpToggle() {
	if (document.getElementById('tagsHelpOpened').style.display =='none') {
		document.getElementById('tagsHelpOpened').style.display = 'inline';
		document.getElementById('tagsHelp').style.display = 'none';
	}else{
		document.getElementById('tagsHelpOpened').style.display = 'none';
		document.getElementById('tagsHelp').style.display = 'inline';
	}
}